CApi extension code should be compiled with -fPIC in shared mode on architectures that support it #35

Closed
brixen opened this Issue Oct 7, 2009 · 1 comment

Comments

Projects
None yet
2 participants
Owner

brixen commented Oct 7, 2009

LH 762 by Sylvain Joyeux

-fPIC is required to compile objects that need to be included in a shared library. Not having the flag works on x86, but fails on PPC and recent x86_64 linkers.

Right now, a workaround is to add

$CFLAGS += " -fPIC"

to extconf.rb

Owner

evanphx commented Nov 7, 2009

This was recently fixed.

This issue was closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment